<template>
	<div class="menu">
		<div
			v-for="(item, i) in menu"
			class="link"
			:class="{ active: i === activeMenu }"
			@click="updateView(i)"
		>
			<img :src="item.icon" :alt="item.alt" />
			<p>{{ item.text }}</p>
		</div>
	</div>
</template>

<script>
export default {
	name: "Menu",
	props: ["update"],
	data() {
		return {
			activeMenu: 0,
			menu: [
				{
					icon: "/teams.svg",
					alt: "Teams",
					text: "Teams"
				},
				{
					icon: "/gamepad.svg",
					alt: "Games",
					text: "Games"
				},
				{
					icon: "/live.svg",
					alt: "Points",
					text: "Points"
				}
			]
		};
	},
	methods: {
		updateView(i) {
			this.update(i);
			this.activeMenu = i;
		}
	}
};
</script>

<style lang="scss">
.menu {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	height: 100vh;
	min-width: 190px;
	width: 190px;
	background-color: #f32c2c;
}
.link {
	text-decoration: none;
	align-items: center;
	margin: 3rem 0;
	opacity: 0.4;
	cursor: pointer;
	transition: all 300ms ease-in-out;
	img {
		width: 74px;
	}
	p {
		font-size: 24px;
		color: #2f2f2f;
		text-align: left;
	}
}
.active {
	opacity: 1;
}
</style>
